menu
#7304303 Declaration of MLK\mlkPlugin\mlk\Island::onDisable() must be compatible with pocketmine\plugin\PluginBase::onDisable(): void

Submitted by PocketMine-MP 4.6.1

General information

Version: 4.6.1
Git commit: b20e0453
Plugin involvement: Direct
Report date: 2022-08-05 23:09:22 +0000 UTC
Server uptime: 0 days 0 hours 0 minutes 0 seconds

System Information

PHP version: 8.0.19
Operating system: win
System banner: Windows NT DESKTOP-9T4M2BV 10.0 build 19044 (Windows 10) AMD64

Error information

Warning: a plugin was directly involved in this crash. Please contact the plugin author.
Message: Declaration of MLK\mlkPlugin\mlk\Island::onDisable() must be compatible with pocketmine\plugin\PluginBase::onDisable(): void
File: plugins/Harfshirt/src/MLK/mlkPlugin/mlk
Line: #109
Error level: E_COMPILE_ERROR
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
                        $this->Fsave();
}
} else {
$player->sendMessage ($this->p . "§f돈이 부족합니다.");

}
}
}
}
public function onDisable()
{
$this->save();
$this->Fsave();
foreach($this->getServer()->getOnlinePlayers() as $player)
{
if($player->isFlying() or $player->getAllowFlight())
{
$player->setAllowFlight(false);
$player->setFlying(false);
}

Loaded Plugins

  • Show

Server Settings

  • Show

Installed PHP Extensions

  • Show